Bug 445557 - rawhide kernel-xen/X86_64 DomU locks up on write to disk
rawhide kernel-xen/X86_64 DomU locks up on write to disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
9
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Eduardo Habkost
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 11:48 EDT by sc
Modified: 2009-07-14 09:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 09:58:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sc 2008-05-07 11:48:23 EDT
i've Fedora8 as a Dom0

	uname -a
		Linux scdev.local 2.6.21.7-3.fc8xen #3 SMP Thu May 01 16:19:07 EDT 2008 x86_64
x86_64 x86_64 GNU/Linux

a kickstart install of F8 as pv/DomU completes without error; system is bootable
& usable.

similar attempt with yesterday's rawhide (@ mirror, 05/06/08 13:12:31),

	install completes OK
	ssh to DomU is OK
	navigate & read in DomU is OK

but, on edit/write to _anything_ (e.g., edit/save in
/etc/sysconfig/network-scripts/ifcfg-eth0), the DomU immediately locks up.

exit requires 'xm destroy' from Dom0.

on DomU re-create, Dom0's xend.log shows,

	[2008-05-07 08:32:21 2536] DEBUG (XendDomainInfo:84)
XendDomainInfo.create(['vm', ['name', 'f9test'], ['memory', 512], ['maxmem',
512], ['on_reboot', 'restart'], ['on_crash', 'restart'], ['vcpus', 1],
['on_xend_start', 'ignore'], ['on_xend_stop', 'ignore'], ['backend', ['netif']],
['bootloader', '/usr/bin/pygrub'], ['bootloader_args', '-q'], ['image',
['linux', ['root', '/dev/xvda1'], ['args', 'ro selinux=0 3 console=/dev/xvc0
xencons=tty']]], ['device', ['vbd', ['uname', 'phy:/dev/vg1/f9test'], ['dev',
'xvda'], ['mode', 'w']]], ['device', ['vif', ['bridge', 'xenbr0'], ['mac',
'00:16:3E:00:00:09'], ['vifname', 'vif-f9.LAN']]], ['device', ['vkbd']],
['device', ['vfb', ['vnclisten', '127.0.0.1'], ['keymap', 'en-us'], ['type',
'vnc'], ['vncdisplay', '9'], ['display', ':0.0'], ['xauthority',
'/root/.Xauthority']]]])
	[2008-05-07 08:32:21 2536] DEBUG (XendDomainInfo:1555)
XendDomainInfo.constructDomain
	[2008-05-07 08:32:21 2536] DEBUG (balloon:116) Balloon: 7662824 KiB free; need
2048; done.
	[2008-05-07 08:32:21 2536] DEBUG (XendDomain:443) Adding Domain: 6
	[2008-05-07 08:32:21 2536] DEBUG (XendDomainInfo:1609)
XendDomainInfo.initDomain: 6 256
	[2008-05-07 08:32:21 5087] DEBUG (XendBootloader:100) Launching bootloader as
['/usr/bin/pygrub', '--args=root=/dev/xvda1 ro selinux=0 3 console=/dev/xvc0
xencons=tty', '--output=/var/run/xend/boot/xenbl.17486', '-q', '/dev/vg1/f9test'].
	[2008-05-07 08:32:21 2536] DEBUG (XendDomainInfo:1640)
_initDomain:shadow_memory=0x0, memory_static_max=0x40000000, memory_static_min=0x0.
	[2008-05-07 08:32:21 2536] DEBUG (balloon:116) Balloon: 7662816 KiB free; need
1048576; done.
	[2008-05-07 08:32:21 2536] INFO (image:129) buildDomain os=linux dom=6 vcpus=1
	[2008-05-07 08:32:21 2536] DEBUG (image:198) domid          = 6
	[2008-05-07 08:32:21 2536] DEBUG (image:199) memsize        = 512
	[2008-05-07 08:32:21 2536] DEBUG (image:200) image          =
/var/run/xend/boot/boot_kernel.xRWMsA
	[2008-05-07 08:32:21 2536] DEBUG (image:201) store_evtchn   = 1
	[2008-05-07 08:32:21 2536] DEBUG (image:202) console_evtchn = 2
	[2008-05-07 08:32:21 2536] DEBUG (image:203) cmdline        = ro
root=UUID=8c57b4c8-2764-4b24-977f-2175f0279ec9 rhgb quiet
	[2008-05-07 08:32:21 2536] DEBUG (image:204) ramdisk        =
/var/run/xend/boot/boot_ramdisk._EfxEc
	[2008-05-07 08:32:21 2536] DEBUG (image:205) vcpus          = 1
	[2008-05-07 08:32:21 2536] DEBUG (image:206) features       = 
	[2008-05-07 08:32:21 2536] INFO (XendDomainInfo:1458) createDevice: vkbd :
{'uuid': '2edd69c6-0970-e349-f452-833a503d0e78'}
	[2008-05-07 08:32:21 2536] DEBUG (DevController:117) DevController: writing
{'protocol': 'x86_64-abi', 'state': '1', 'backend-id': '0', 'backend':
'/local/domain/0/backend/vkbd/6/0'} to /local/domain/6/device/vkbd/0.
	[2008-05-07 08:32:21 2536] DEBUG (DevController:119) DevController: writing
{'frontend-id': '6', 'domain': 'f9test', 'frontend':
'/local/domain/6/device/vkbd/0', 'state': '1', 'online': '1'} to
/local/domain/0/backend/vkbd/6/0.
	[2008-05-07 08:32:21 2536] INFO (XendDomainInfo:1458) createDevice: vfb :
{'other_config': {'xauthority': '/root/.Xauthority', 'vnclisten': '127.0.0.1',
'vncdisplay': '9', 'keymap': 'en-us', 'type': 'vnc', 'display': ':0.0'},
'xauthority': '/root/.Xauthority', 'vnclisten': '127.0.0.1', 'vncdisplay': '9',
'keymap': 'en-us', 'type': 'vnc', 'display': ':0.0', 'uuid':
'bb36559c-0dd4-4f61-fb06-b2235d7712d6'}
	[2008-05-07 08:32:21 2536] DEBUG (DevController:117) DevController: writing
{'protocol': 'x86_64-abi', 'state': '1', 'backend-id': '0', 'backend':
'/local/domain/0/backend/vfb/6/0'} to /local/domain/6/device/vfb/0.
	[2008-05-07 08:32:21 2536] DEBUG (DevController:119) DevController: writing
{'domain': 'f9test', 'frontend': '/local/domain/6/device/vfb/0', 'xauthority':
'/root/.Xauthority', 'vnclisten': '127.0.0.1', 'vncdisplay': '9', 'state': '1',
'keymap': 'en-us', 'online': '1', 'frontend-id': '6', 'type': 'vnc', 'display':
':0.0', 'uuid': 'bb36559c-0dd4-4f61-fb06-b2235d7712d6'} to
/local/domain/0/backend/vfb/6/0.
	[2008-05-07 08:32:21 2536] DEBUG (vfbif:78) No VNC passwd configured for vfb access
	[2008-05-07 08:32:21 2536] DEBUG (vfbif:9) Spawn:
['/usr/lib64/xen/bin/qemu-dm', '-M', 'xenpv', '-d', '6', '-domain-name',
'f9test', '-vnc', '127.0.0.1:9', '-k', 'en-us']
	[2008-05-07 08:32:21 2536] INFO (XendDomainInfo:1458) createDevice: vbd :
{'uuid': 'd93d98ed-1baa-ea50-90cb-b459f2856b7c', 'bootable': 1, 'driver':
'paravirtualised', 'dev': 'xvda', 'uname': 'phy:/dev/vg1/f9test', 'mode': 'w'}
	[2008-05-07 08:32:21 2536] DEBUG (DevController:117) DevController: writing
{'virtual-device': '51712', 'device-type': 'disk', 'protocol': 'x86_64-abi',
'backend-id': '0', 'state': '1', 'backend':
'/local/domain/0/backend/vbd/6/51712'} to /local/domain/6/device/vbd/51712.
	[2008-05-07 08:32:21 2536] DEBUG (DevController:119) DevController: writing
{'domain': 'f9test', 'frontend': '/local/domain/6/device/vbd/51712', 'uuid':
'd93d98ed-1baa-ea50-90cb-b459f2856b7c', 'dev': 'xvda', 'state': '1', 'params':
'/dev/vg1/f9test', 'mode': 'w', 'online': '1', 'frontend-id': '6', 'type':
'phy'} to /local/domain/0/backend/vbd/6/51712.
	[2008-05-07 08:32:22 2536] INFO (XendDomainInfo:1458) createDevice: vif :
{'bridge': 'xenbr0', 'mac': '00:16:3E:00:00:09', 'vifname': 'vif-f9.LAN',
'uuid': '65d79e90-7c1d-07a6-479d-253f9abeb761'}
	[2008-05-07 08:32:22 2536] DEBUG (DevController:117) DevController: writing
{'mac': '00:16:3E:00:00:09', 'handle': '0', 'protocol': 'x86_64-abi',
'backend-id': '0', 'state': '1', 'backend': '/local/domain/0/backend/vif/6/0'}
to /local/domain/6/device/vif/0.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:119) DevController: writing
{'bridge': 'xenbr0', 'domain': 'f9test', 'handle': '0', 'uuid':
'65d79e90-7c1d-07a6-479d-253f9abeb761', 'script': '/etc/xen/scripts/vif-bridge',
'state': '1', 'frontend': '/local/domain/6/device/vif/0', 'mac':
'00:16:3E:00:00:09', 'vifname': 'vif-f9.LAN', 'online': '1', 'frontend-id': '6'}
to /local/domain/0/backend/vif/6/0.
	[2008-05-07 08:32:22 2536] DEBUG (XendDomainInfo:2116) Storing VM details:
{'on_xend_stop': 'ignore', 'shadow_memory': '0', 'uuid':
'e7ed2dc4-35f8-adb9-5e57-8561ca1e8466', 'on_reboot': 'restart', 'start_time':
'1210174342.1', 'on_poweroff': 'destroy', 'on_xend_start': 'ignore', 'on_crash':
'restart', 'xend/restart_count': '0', 'vcpus': '1', 'vcpu_avail': '1', 'image':
"(linux (kernel ) (args 'root=/dev/xvda1 ro selinux=0 3 console=/dev/xvc0
xencons=tty') (notes (FEATURES '!writable_page_tables|pae_pgdir_above_4gb')
(VIRT_BASE 18446744071562067968) (GUEST_VERSION 2.6) (PADDR_OFFSET 0) (GUEST_OS
linux) (HYPERCALL_PAGE 18446744071568453632) (LOADER generic) (ENTRY
18446744071568142336) (XEN_VERSION xen-3.0)))", 'name': 'f9test'}
	[2008-05-07 08:32:22 2536] DEBUG (XendDomainInfo:956) Storing domain details:
{'console/ring-ref': '2262204', 'image/entry': '18446744071568142336',
'console/port': '2', 'name': 'f9test', 'console/limit': '1048576',
'image/paddr-offset': '0', 'image/virt-base': '18446744071562067968',
'image/guest-os': 'linux', 'vm': '/vm/e7ed2dc4-35f8-adb9-5e57-8561ca1e8466',
'domid': '6', 'cpu/0/availability': 'online', 'memory/target': '1048576',
'image/hypercall-page': '18446744071568453632',
'image/features/pae-pgdir-above-4gb': '1',
'control/platform-feature-multiprocessor-suspend': '1',
'image/features/writable-page-tables': '0', 'image/loader': 'generic',
'store/ring-ref': '2262205', 'image/guest-version': '2.6', 'store/port': '1',
'image/xen-version': 'xen-3.0'}
	[2008-05-07 08:32:22 2536] DEBUG (DevController:117) DevController: writing
{'protocol': 'x86_64-abi', 'state': '1', 'backend-id': '0', 'backend':
'/local/domain/0/backend/console/6/0'} to /local/domain/6/device/console/0.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:119) DevController: writing
{'domain': 'f9test', 'protocol': 'vt100', 'uuid':
'c5874bca-5c6d-4d4a-ace7-9cd266e2a8eb', 'frontend':
'/local/domain/6/device/console/0', 'state': '1', 'location': '2', 'online':
'1', 'frontend-id': '6'} to /local/domain/0/backend/console/6/0.
	[2008-05-07 08:32:22 2536] DEBUG (XendDomainInfo:1040)
XendDomainInfo.handleShutdownWatch
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices vif.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:155) Waiting for 0.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:594) hotplugStatusCallback
/local/domain/0/backend/vif/6/0/hotplug-status.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:608) hotplugStatusCallback 1.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices usb.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices vbd.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:155) Waiting for 51712.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:594) hotplugStatusCallback
/local/domain/0/backend/vbd/6/51712/hotplug-status.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:594) hotplugStatusCallback
/local/domain/0/backend/vbd/6/51712/hotplug-status.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:608) hotplugStatusCallback 1.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices irq.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices vkbd.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:155) Waiting for 0.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:594) hotplugStatusCallback
/local/domain/0/backend/vkbd/6/0/hotplug-status.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:608) hotplugStatusCallback 1.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices vfb.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:155) Waiting for 0.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:594) hotplugStatusCallback
/local/domain/0/backend/vfb/6/0/hotplug-status.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:608) hotplugStatusCallback 1.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices console.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:155) Waiting for 0.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices pci.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices ioports.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices tap.
	[2008-05-07 08:32:22 2536] DEBUG (DevController:150) Waiting for devices vtpm.
	[2008-05-07 08:32:22 2536] INFO (XendDomain:1130) Domain f9test (6) unpaused.

attempts to ssh to DomU are simply refused.

attempts to connect @ Dom0 'xm console ...' return only,

	PCI: Fatal: No config space access function found
	i8042.c: No controller found.
	IO APIC resources could be not be allocated.

and the console freezes, requiring an 'xm destroy'.

this behavior is 100% reproducible.
Comment 1 Mark McLoughlin 2008-05-07 12:01:15 EDT
Could you try and obtain a stack trace of the locked up guest with e.g.:

  $> /usr/lib/xen/bin/xenctx -s System.map.2.6.25... <domain-id>

Also, was there anything on the guest's xen console when it locked up?
Comment 2 sc 2008-05-07 12:10:44 EDT
hi,

> Could you try and obtain a stack trace of the locked up guest with e.g.:
> 
>   $> /usr/lib/xen/bin/xenctx -s System.map.2.6.25... <domain-id>

given,

xm list
	Name                     ID   Mem VCPUs      State   Time(s)
	Domain-0                  0   512     2     r-----    124.3
	f9test                    7   512     1     -b----      8.4

 /usr/lib64/xen/bin/xenctx -s /boot/System.map-2.6.21.7-3.fc8xen 7
	rip: ffffffff806170ca 
	rsp: ffffffff805c9f40
	rax: 00000000	rbx: ffffffff8020c2b8	rcx: ffffffff806170ca	rdx: ffffffff806170ca
	rsi: 00000000	rdi: 00000001	rbp: ffffffff805c9f58
	 r8: 00000000	 r9: ffffffff	r10: 0000000c	r11: 00000246
	r12: ffffffff80210011	r13: ffffffffffffffff	r14: ffffffff805f6b60	r15: 00000000
	 cs: 0000e033	 ds: 00000000	 fs: 00000000	 gs: 00000000

> Also, was there anything on the guest's xen console when it locked up?

nope.  the moment i try to, e.g., save to file, it simply locks up, without any
additional 'peep'
Comment 3 Eduardo Habkost 2008-05-07 12:23:11 EDT
Hi. We need some additional information to reproduce and investigate the problem:

> attempts to ssh to DomU are simply refused.

Is this before or after domU being destroyed and restarted?


> attempts to connect @ Dom0 'xm console ...' return only,
> 
> 	PCI: Fatal: No config space access function found
> 	i8042.c: No controller found.
> 	IO APIC resources could be not be allocated.
> 
> and the console freezes, requiring an 'xm destroy'.

Is this after the domain restart?

Before the problem is reproduced, do you get a working login prompt on 'xm console'?

Are you editing the file through ssh or on 'xm console'?

What editor are you using? (some editors may not work properly under 'xm console')

Could you confirm if you get exactly the same behaviour when other files are
edited instead of ifcfg-eth0? This way we can exclude the possibility of
networking scripts  dropping the network after this file is edited, making the
guest unreachable through ssh.

Writing to the disk without using a text editor also makes the bug reproducible?
Example: when typing commands such as:

 echo some text > /tmp/somefile
 cat /etc/fedora-release > /tmp/otherfile
Comment 4 sc 2008-05-07 12:36:44 EDT
hi,

> > attempts to ssh to DomU are simply refused.
> 
> Is this before or after domU being destroyed and restarted?

after.  the *first* attempt to ssh to the DomU after a fresh kickstart'd install
works ok.

> > attempts to connect @ Dom0 'xm console ...' return only,
> > 
> > 	PCI: Fatal: No config space access function found
> > 	i8042.c: No controller found.
> > 	IO APIC resources could be not be allocated.
> > 
> > and the console freezes, requiring an 'xm destroy'.
> 
> Is this after the domain restart?

yes.  after the aforementioned required 'xm destroy ...', and the next
re-attempt @ 'xm create ...'

> Before the problem is reproduced, do you get a working login prompt on 'xm
console'?

haven't tried that ... i've found 'xm console' to be finicky, and most always
use ssh.

> Are you editing the file through ssh or on 'xm console'?

through ssh.

> What editor are you using? (some editors may not work properly under 'xm console')

in this case, 'joe'.

but, ANY write, to ANY directory -- using any other editor, a "cat >>" or "echo
>>" to a file, even a 'touch ...' causes the freezes

> Could you confirm if you get exactly the same behaviour when other files are
> edited instead of ifcfg-eth0?

yes. any other file causes the problem ...

> This way we can exclude the possibility of
> networking scripts  dropping the network after this file is edited, making the
> guest unreachable through ssh.

understood. see above.

> Writing to the disk without using a text editor also makes the bug reproducible?

yes. see above.

Comment 5 sc 2008-05-08 18:05:54 EDT
(Follow-up to comment #3)
> We need some additional information to reproduce and investigate the problem:

just checking ... any add'l info i can provide?
Comment 6 sc 2008-05-11 12:53:58 EDT
(In reply to comment #4)
>> Could you confirm if you get exactly the same behaviour when other files are
>> edited instead of ifcfg-eth0?
>
> yes. any other file causes the problem ...

well, something's apparently changed on my end ...

i've built up two new Dom0 (still F8) boxes, and installed Rawhide DomU, as
above, from both 9-May & 10-May date-stamped repos.

whereas the original instance(s) i'd reported abt still lock up on ANY write to
disk (just verified that again), the 'new' ones only lock up on write to 

    /etc/sysconfig/network-scripts/ifcfg-eth0

by any write method: text editor, echo >, cat >, etc.

writing to other files, now, is not apparently a problem.

i can't tell with any certainty what, if anything, is different about my Dom0s
-- they're built up using the exact same 'procedure notes'.

again, the F9 source repos are a day or so newer, and i've tried different
development repo sources (the 'new' ones are from fedora.secsup.org).
Comment 7 sc 2008-05-11 13:59:10 EDT
in the newly-installed, as yet not locked-up, DomU, on "open" (not write) of 

	/etc/sysconfig/network-scripts/ifcfg-eth0 

@ serial console, tail of /var/log/messages shows, simply,

	May 11 10:49:56 d3test nm-system-settings:    ifcfg-fedora: parsing
/etc/sysconfig/network-scripts/ifcfg-eth0 ... 
	May 11 10:49:56 d3test nm-system-settings:    ifcfg-fedora:     read connection
'System eth0'

on save to disk of any edit of that file, the sys just locks up, with no further
log entries.
Comment 8 sc 2008-05-13 13:57:06 EDT
updating to F9 release, problem continues.

NetworkManager is apparently 'involved' in the problem.  and, i note it's now ON
by default in F9.

doing,

  chkconfig NetworkManager off
  chkconfig network        on
  reboot

removes the lock-up problem of the 'newer' installs above, and allows me to edit
the .../ifcfg-eth0 as req'd.

still fails to work to fix the 'older' install.  i'm just going to ignore/delete
that one.

as for what NM *should* be doing on startup -- I simply don't know.  as such, I
can't say whether the "chkconfig ..." service swap is a _fix_ or a _workaround_.

i'll leave that to someone else here to determine.  for the moment, i'm back to
ok ...
Comment 9 Dan Williams 2008-05-13 14:55:09 EDT
Quite odd; is it a hardlock and not a panic?  NM pokes various network related
ioctls (including wireless ones) but I'd certainly hope the kernel would handle
that.  Try something for me:

stop NM
turn off the 'network' service
after booting up:

/usr/sbin/NetworkManager --no-daemon

and see where it hangs Xen.  What's the last line in the output?
Comment 10 sc 2008-05-13 15:48:25 EDT
(In reply to comment #9)
> Quite odd; is it a hardlock and not a panic?  

i'm not clear on your semantics, but, iiuc, it's a 'hardlock' ... everything
just appears to stop.

> Try something for me:
> 
> stop NM

starting with a 'fresh' F9-RELEASE install (dd'd lvm ...),

  xm create d3test.cfg
    Using config file "/etc/xen/d3test.cfg".
    Started domain d3test

checking,

  xm list | grep d3test
    d3test     6   512     1     -b----     10.5

i'm unable to connect @ console,

 xm console 5
  PCI: Fatal: No config space access function found
  i8042.c: No controller found.
  IO APIC resources could be not be allocated.

and it just sits there ...

so, destroy/create, then

  ssh 10.0.1.33
  ...
  [root@d3test ~]# 

  service NetworkManager status
    NetworkManager (pid 1205) is running...
  service NetworkManager stop
    Stopping NetworkManager daemon: 

and the system locks up and is non-responsive; i get no further ...  :-/

> turn off the 'network' service
> after booting up:
> 
> /usr/sbin/NetworkManager --no-daemon
> and see where it hangs Xen.  What's the last line in the output?

so, given the above, not sure if this is helpful,

  service NetworkManager status
    NetworkManager (pid 1247) is running...
  [root@d3test ~]# service network status
    Configured devices:
    lo eth0
    Currently active devices:
    lo eth0

  /usr/sbin/NetworkManager --no-daemon
    NetworkManager: <info>  starting...
    NetworkManager: <WARN>  nm_dbus_manager_start_service(): Could not acquire
the NetworkManager service as it is already taken.
    NetworkManager: <info>  disconnected by the system bus.
    NetworkManager: dbus_g_connection_register_g_object: assertion `connection
!= NULL' failed
    NetworkManager: <WARN>  main(): Failed to start the dbus manager.


next try,

  chkconfig NetworkManager off
  chkconfig network        on
  reboot
  ...
  ssh 10.0.1.33
  ...
  [root@d3test ~]# 

  service NetworkManager status
    NetworkManager is stopped
  service network status
    Configured devices:
    lo eth0
    Currently active devices:
    lo eth0

  /usr/sbin/NetworkManager --no-daemon
    NetworkManager: <info>  starting...
    RTNETLINK answers: File exists
    NetworkManager: <info>  eth0: Device is fully-supported using driver 'vif'.
    NetworkManager: <info>  Found new Ethernet device 'eth0'.
    NetworkManager: <info>  (eth0): exported as
/org/freedesktop/Hal/devices/net_00_16_3e_00_01_33
    NetworkManager: <info>  Trying to start the supplicant...
    NetworkManager: <info>  Trying to start the system settings daemon...
    NetworkManager: <info>  (eth0): device state change: 1 -> 2
    NetworkManager: <info>  (eth0): preparing device.
    NetworkManager: <info>  (eth0): deactivating device.

at which point it locks up, as before.

dunno if that's what you're looking for.

Comment 11 sc 2008-05-13 17:26:26 EDT
the 'workaround' is also readily (no surprise) implemented @ kickstart-install
adding to the ks.cfg,

   services --disabled NetworkManager(,...) --enabled network(,...)

after which, @ 1st reboot, all's ok.
Comment 12 Bug Zapper 2008-05-14 06:46:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-06-09 20:39:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 09:58:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.